1.安装前准备

环境:Linux 2.6.32-642.el6.x86_64 #1 SMP Tue May 10 17:27:01 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux


下载wget http://www.keepalived.org/software/keepalived-1.1.20.tar.gz

ln -s /usr/src/kernels/2.6.32-696.16.1.el6.x86_64/ /usr/src/linux

如果没有,执行yum -y install kernel-devel


 2.安装

tar xf keepalived-1.1.20.tar.gz 

 cd keepalived-1.1.20

./configure

make && make install

编译时候出现下面报错,执行yum -y install popt*

checking for poptGetContext in -lpopt... no

configure: error: Popt libraries is required


3.

cp /usr/local/etc/rc.d/init.d/keepalived /etc/rc.d/init.d/

cp /usr/local/etc/sysconfig/keepalived /etc/sysconfig/

mkdir /etc/keepalived

cp /usr/local/etc/keepalived/keepalived.conf /etc/keepalived/                           

cp /usr/local/sbin/keepalived /usr/sbin/



点评
还没有点评哦!